* [gentoo-commits] repo/gentoo:master commit in: dev-ml/reason-parser/
@ 2017-04-01 12:24 Alexis Ballier
0 siblings, 0 replies; 4+ messages in thread
From: Alexis Ballier @ 2017-04-01 12:24 UTC (permalink / raw
To: gentoo-commits
commit: c932babce8c9c3a4c7e10ec57c45c814b01a056c
Author: Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 1 11:17:16 2017 +0000
Commit: Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Sat Apr 1 12:24:43 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c932babc
dev-ml/reason-parser: Initial import. Ebuild by me.
Package-Manager: Portage-2.3.5, Repoman-2.3.2
dev-ml/reason-parser/Manifest | 1 +
dev-ml/reason-parser/metadata.xml | 8 ++++
dev-ml/reason-parser/reason-parser-1.13.3.ebuild | 50 ++++++++++++++++++++++++
3 files changed, 59 insertions(+)
diff --git a/dev-ml/reason-parser/Manifest b/dev-ml/reason-parser/Manifest
new file mode 100644
index 00000000000..8a45cb0d2a8
--- /dev/null
+++ b/dev-ml/reason-parser/Manifest
@@ -0,0 +1 @@
+DIST reason-parser-1.13.3.tar.gz 10253108 SHA256 b92840f8238dd6266c5678da3e4dc832776bcc98990ac47773020e34dce708a6 SHA512 82398fbbf72bcadfc868e5f33e8666ef80ef610f8313d08bc16593944569b7a16693fcc6397a117518bf8e32f71083f0ac4a416112f97cd220715f4293136b84 WHIRLPOOL a82dd8e28a012ed0716fba6bc79eee849110bfb42cd8221eb15847cadae90d62d909e635f3da465c6220382d6eee62f2f69a739d96d3d6a5baddc58623cd059e
diff --git a/dev-ml/reason-parser/metadata.xml b/dev-ml/reason-parser/metadata.xml
new file mode 100644
index 00000000000..ffac4d7ebc0
--- /dev/null
+++ b/dev-ml/reason-parser/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<maintainer type="project">
+ <email>ml@gentoo.org</email>
+ <name>Gentoo ML Project</name>
+</maintainer>
+</pkgmetadata>
diff --git a/dev-ml/reason-parser/reason-parser-1.13.3.ebuild b/dev-ml/reason-parser/reason-parser-1.13.3.ebuild
new file mode 100644
index 00000000000..e9a7ae9ee3b
--- /dev/null
+++ b/dev-ml/reason-parser/reason-parser-1.13.3.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit findlib
+
+DESCRIPTION="Meta Language Toolchain"
+HOMEPAGE="https://github.com/facebook/reason"
+SRC_URI="https://github.com/facebook/reason/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0/${PV}"
+KEYWORDS="~amd64"
+IUSE="+ocamlopt"
+
+DEPEND="
+ dev-lang/ocaml:=[ocamlopt?]
+ dev-ml/menhir:=
+ dev-ml/merlin-extend:=
+ dev-ml/result:=
+ dev-ml/topkg:=
+ dev-ml/ocaml-migrate-parsetree:=
+ dev-ml/ppx_tools_versioned:=
+"
+RDEPEND="${DEPEND}"
+DEPEND="${DEPEND}
+ dev-ml/ocamlbuild
+ dev-ml/opam
+"
+
+S="${WORKDIR}/reason-${PV}/${PN}"
+
+src_compile() {
+ emake compile_error
+ ocamlbuild -package topkg pkg/build.native || die
+ ./build.native build \
+ --native "$(usex ocamlopt true false)" \
+ --native-dynlink "$(usex ocamlopt true false)" \
+ || die
+}
+
+src_install() {
+ opam-installer -i \
+ --prefix="${ED}/usr" \
+ --libdir="${D}/$(ocamlc -where)" \
+ --docdir="${ED}/usr/share/doc/${PF}" \
+ --mandir="${ED}/usr/share/man" \
+ ${PN}.install || die
+}
^ permalink raw reply related [flat|nested] 4+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-ml/reason-parser/
@ 2017-05-02 9:33 Alexis Ballier
0 siblings, 0 replies; 4+ messages in thread
From: Alexis Ballier @ 2017-05-02 9:33 UTC (permalink / raw
To: gentoo-commits
commit: 3e8a8244abc1090dd2fef6b4813a807e37fc5df9
Author: Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Mon May 1 18:23:41 2017 +0000
Commit: Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Tue May 2 09:33:27 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3e8a8244
dev-ml/reason-parser: bump to 1.13.5
Package-Manager: Portage-2.3.5, Repoman-2.3.2
dev-ml/reason-parser/Manifest | 1 +
dev-ml/reason-parser/reason-parser-1.13.5.ebuild | 50 ++++++++++++++++++++++++
2 files changed, 51 insertions(+)
diff --git a/dev-ml/reason-parser/Manifest b/dev-ml/reason-parser/Manifest
index 4d970216957..decfd0f8d93 100644
--- a/dev-ml/reason-parser/Manifest
+++ b/dev-ml/reason-parser/Manifest
@@ -1,2 +1,3 @@
DIST reason-parser-1.13.3.tar.gz 10253108 SHA256 b92840f8238dd6266c5678da3e4dc832776bcc98990ac47773020e34dce708a6 SHA512 82398fbbf72bcadfc868e5f33e8666ef80ef610f8313d08bc16593944569b7a16693fcc6397a117518bf8e32f71083f0ac4a416112f97cd220715f4293136b84 WHIRLPOOL a82dd8e28a012ed0716fba6bc79eee849110bfb42cd8221eb15847cadae90d62d909e635f3da465c6220382d6eee62f2f69a739d96d3d6a5baddc58623cd059e
DIST reason-parser-1.13.4.tar.gz 6856260 SHA256 07b0f4a471b570b9f6ee699016d2fb9d98788d1ccfb428a2b2f20f1ee6f42b9e SHA512 ee2270ffbb3c3c818aafec2ef0f23f3741e66e5b077b3a84b49b357b003d24d639165c521bf0afe92bf81ef626ed6d863ea6d097b83a2e1b5a0349a679cc8c7f WHIRLPOOL ffc8b96ce5b653c1d78877f0422315cce3d42615b88bb6f09f52d3af9799fe30ed221094a5acbc49448f0d1e865b1702a2b5956a8d327a22b2db01eb33aa0da7
+DIST reason-parser-1.13.5.tar.gz 183248 SHA256 442266c4bdb0f5c11e56f1e239b042faa4d501291158c7bc82de1d4632e7a20a SHA512 a0ffebd80ecb0ba2a4b49bebe68e71589069e48a1992b07b122dd52495847971d23aba4d7ee7a3ad88fd75f45a758f80ebeea9acbef45b0eeab2966ec952475b WHIRLPOOL 98395a7c81003b3598b6cf730d01b867b6378dcaff9ecf0fd55151189cb8fa03b2ac8cbc733800b2ef8b0810908f88387ac6b8d0a6c1b6576e068336ba5b05da
diff --git a/dev-ml/reason-parser/reason-parser-1.13.5.ebuild b/dev-ml/reason-parser/reason-parser-1.13.5.ebuild
new file mode 100644
index 00000000000..6313382e5d9
--- /dev/null
+++ b/dev-ml/reason-parser/reason-parser-1.13.5.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit findlib eutils
+
+DESCRIPTION="Meta Language Toolchain"
+HOMEPAGE="https://github.com/facebook/reason"
+SRC_URI="https://github.com/facebook/reason/releases/download/${PV}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0/${PV}"
+KEYWORDS="~amd64"
+IUSE="+ocamlopt"
+
+DEPEND="
+ dev-lang/ocaml:=[ocamlopt?]
+ >=dev-ml/menhir-20170418:=
+ dev-ml/merlin-extend:=
+ dev-ml/result:=
+ dev-ml/topkg:=
+ dev-ml/ocaml-migrate-parsetree:=
+ dev-ml/ppx_tools_versioned:=
+"
+RDEPEND="${DEPEND}"
+DEPEND="${DEPEND}
+ dev-ml/ocamlbuild
+ dev-ml/opam
+"
+
+S="${WORKDIR}/${PN}"
+
+src_compile() {
+ emake compile_error
+ ocamlbuild -package topkg pkg/build.native || die
+ ./build.native build \
+ --native "$(usex ocamlopt true false)" \
+ --native-dynlink "$(usex ocamlopt true false)" \
+ || die
+}
+
+src_install() {
+ opam-installer -i \
+ --prefix="${ED}/usr" \
+ --libdir="${D}/$(ocamlc -where)" \
+ --docdir="${ED}/usr/share/doc/${PF}" \
+ --mandir="${ED}/usr/share/man" \
+ ${PN}.install || die
+}
^ permalink raw reply related [flat|nested] 4+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-ml/reason-parser/
@ 2017-06-03 15:13 Alexis Ballier
0 siblings, 0 replies; 4+ messages in thread
From: Alexis Ballier @ 2017-06-03 15:13 UTC (permalink / raw
To: gentoo-commits
commit: 9bcc727e8c753736044e940d262f6132b8726842
Author: Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Fri Jun 2 10:47:58 2017 +0000
Commit: Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Sat Jun 3 15:13:25 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9bcc727e
dev-ml/reason-parser: bump to 2.0.0
Package-Manager: Portage-2.3.6, Repoman-2.3.2
dev-ml/reason-parser/Manifest | 1 +
dev-ml/reason-parser/reason-parser-2.0.0.ebuild | 50 +++++++++++++++++++++++++
2 files changed, 51 insertions(+)
diff --git a/dev-ml/reason-parser/Manifest b/dev-ml/reason-parser/Manifest
index decfd0f8d93..7715e648cbe 100644
--- a/dev-ml/reason-parser/Manifest
+++ b/dev-ml/reason-parser/Manifest
@@ -1,3 +1,4 @@
DIST reason-parser-1.13.3.tar.gz 10253108 SHA256 b92840f8238dd6266c5678da3e4dc832776bcc98990ac47773020e34dce708a6 SHA512 82398fbbf72bcadfc868e5f33e8666ef80ef610f8313d08bc16593944569b7a16693fcc6397a117518bf8e32f71083f0ac4a416112f97cd220715f4293136b84 WHIRLPOOL a82dd8e28a012ed0716fba6bc79eee849110bfb42cd8221eb15847cadae90d62d909e635f3da465c6220382d6eee62f2f69a739d96d3d6a5baddc58623cd059e
DIST reason-parser-1.13.4.tar.gz 6856260 SHA256 07b0f4a471b570b9f6ee699016d2fb9d98788d1ccfb428a2b2f20f1ee6f42b9e SHA512 ee2270ffbb3c3c818aafec2ef0f23f3741e66e5b077b3a84b49b357b003d24d639165c521bf0afe92bf81ef626ed6d863ea6d097b83a2e1b5a0349a679cc8c7f WHIRLPOOL ffc8b96ce5b653c1d78877f0422315cce3d42615b88bb6f09f52d3af9799fe30ed221094a5acbc49448f0d1e865b1702a2b5956a8d327a22b2db01eb33aa0da7
DIST reason-parser-1.13.5.tar.gz 183248 SHA256 442266c4bdb0f5c11e56f1e239b042faa4d501291158c7bc82de1d4632e7a20a SHA512 a0ffebd80ecb0ba2a4b49bebe68e71589069e48a1992b07b122dd52495847971d23aba4d7ee7a3ad88fd75f45a758f80ebeea9acbef45b0eeab2966ec952475b WHIRLPOOL 98395a7c81003b3598b6cf730d01b867b6378dcaff9ecf0fd55151189cb8fa03b2ac8cbc733800b2ef8b0810908f88387ac6b8d0a6c1b6576e068336ba5b05da
+DIST reason-parser-2.0.0.tar.gz 183562 SHA256 533c1a8d26f8b85b2eeec1a80b407de9ee17e3ecfb9b5f1170ce31aab9266edc SHA512 43d05367978a273625d43fbee33c554777a24003b3a843b610da2a73187f2c5ad7dc110fd2b50ba4671ca05e7fcff6ed63fdf52f79769752b31d0aec48fab84c WHIRLPOOL 479eee7afc20269954e0aca352cb17414d29e28997276301009fd19e133e99d69d4ae1134eef673da96ce89027c03d5f13131f8626aa55a73719fb11f5b59870
diff --git a/dev-ml/reason-parser/reason-parser-2.0.0.ebuild b/dev-ml/reason-parser/reason-parser-2.0.0.ebuild
new file mode 100644
index 00000000000..6313382e5d9
--- /dev/null
+++ b/dev-ml/reason-parser/reason-parser-2.0.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit findlib eutils
+
+DESCRIPTION="Meta Language Toolchain"
+HOMEPAGE="https://github.com/facebook/reason"
+SRC_URI="https://github.com/facebook/reason/releases/download/${PV}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0/${PV}"
+KEYWORDS="~amd64"
+IUSE="+ocamlopt"
+
+DEPEND="
+ dev-lang/ocaml:=[ocamlopt?]
+ >=dev-ml/menhir-20170418:=
+ dev-ml/merlin-extend:=
+ dev-ml/result:=
+ dev-ml/topkg:=
+ dev-ml/ocaml-migrate-parsetree:=
+ dev-ml/ppx_tools_versioned:=
+"
+RDEPEND="${DEPEND}"
+DEPEND="${DEPEND}
+ dev-ml/ocamlbuild
+ dev-ml/opam
+"
+
+S="${WORKDIR}/${PN}"
+
+src_compile() {
+ emake compile_error
+ ocamlbuild -package topkg pkg/build.native || die
+ ./build.native build \
+ --native "$(usex ocamlopt true false)" \
+ --native-dynlink "$(usex ocamlopt true false)" \
+ || die
+}
+
+src_install() {
+ opam-installer -i \
+ --prefix="${ED}/usr" \
+ --libdir="${D}/$(ocamlc -where)" \
+ --docdir="${ED}/usr/share/doc/${PF}" \
+ --mandir="${ED}/usr/share/man" \
+ ${PN}.install || die
+}
^ permalink raw reply related [flat|nested] 4+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: dev-ml/reason-parser/
@ 2017-08-06 12:30 Alexis Ballier
0 siblings, 0 replies; 4+ messages in thread
From: Alexis Ballier @ 2017-08-06 12:30 UTC (permalink / raw
To: gentoo-commits
commit: 333e12f335f8bee2c03dc2660483b3459e0b71d8
Author: Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 6 12:28:00 2017 +0000
Commit: Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Sun Aug 6 12:30:28 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=333e12f3
dev-ml/reason-parser: update to opam.eclass
Package-Manager: Portage-2.3.6, Repoman-2.3.3
dev-ml/reason-parser/reason-parser-2.0.0.ebuild | 13 +------------
1 file changed, 1 insertion(+), 12 deletions(-)
diff --git a/dev-ml/reason-parser/reason-parser-2.0.0.ebuild b/dev-ml/reason-parser/reason-parser-2.0.0.ebuild
index 6313382e5d9..2ec81a73544 100644
--- a/dev-ml/reason-parser/reason-parser-2.0.0.ebuild
+++ b/dev-ml/reason-parser/reason-parser-2.0.0.ebuild
@@ -3,7 +3,7 @@
EAPI=6
-inherit findlib eutils
+inherit findlib eutils opam
DESCRIPTION="Meta Language Toolchain"
HOMEPAGE="https://github.com/facebook/reason"
@@ -15,7 +15,6 @@ KEYWORDS="~amd64"
IUSE="+ocamlopt"
DEPEND="
- dev-lang/ocaml:=[ocamlopt?]
>=dev-ml/menhir-20170418:=
dev-ml/merlin-extend:=
dev-ml/result:=
@@ -26,7 +25,6 @@ DEPEND="
RDEPEND="${DEPEND}"
DEPEND="${DEPEND}
dev-ml/ocamlbuild
- dev-ml/opam
"
S="${WORKDIR}/${PN}"
@@ -39,12 +37,3 @@ src_compile() {
--native-dynlink "$(usex ocamlopt true false)" \
|| die
}
-
-src_install() {
- opam-installer -i \
- --prefix="${ED}/usr" \
- --libdir="${D}/$(ocamlc -where)" \
- --docdir="${ED}/usr/share/doc/${PF}" \
- --mandir="${ED}/usr/share/man" \
- ${PN}.install || die
-}
^ permalink raw reply related [flat|nested] 4+ messages in thread
end of thread, other threads:[~2017-08-06 12:30 UTC | newest]
Thread overview: 4+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2017-06-03 15:13 [gentoo-commits] repo/gentoo:master commit in: dev-ml/reason-parser/ Alexis Ballier
-- strict thread matches above, loose matches on Subject: below --
2017-08-06 12:30 Alexis Ballier
2017-05-02 9:33 Alexis Ballier
2017-04-01 12:24 Alexis Ballier
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox